ios - что - cocoapods local pod



Ошибка Cocoapods при обновлении pod (1)

Я использую Cocoapods без каких-либо проблем в своих проектах некоторое время, но сегодня я неожиданно получил эту ошибку, пытаясь обновить мои контейнеры в определенном проекте:

[!] Pod :: Исполняемое вытягивание

Ваша конфигурация указывает на объединение с ref 'master'

с пульта, но такой рефлектор не был выбран.

Я пытался выяснить, что вызывает эту проблему, но безрезультатно (это происходит во всех проектах, которые используют Cocoapods на этапе «Анализ зависимостей»).

Кто-нибудь знает, что вызывает это (и как его разрешить)?

https://ffff65535.com


Это похоже на проблему с репозиторием git, из которой исходят все спецификации CocoaPod. Он живет в ~/.cocoapods . Чтобы исправить такие проблемы, самый простой способ - просто удалить его полностью с помощью rm -rf ~/.cocoapods и снова установить его с помощью pod setup

РЕДАКТИРОВАТЬ:

Сегодня (1/30/14) возникла проблема с репозитариями спецификаций, которые могут заставить вас исправить это. Узнайте больше об этом в блоге CocoaPods





cocoapods